Subject: Re: windows and cygwin compiled dll ?
From: "Jason Travis" <[email-masked]>
To: "Stefan Hansen" <[email-masked]>, "Larry Hall \(RFK Partners, Inc\)" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 28 May 2002 10:14:56 -0500

Can anyone tell me how to get off this mailing list?

----- Original Message -----
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Stefan Hansen" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, May 28, 2002 9:11 AM
Subject: Re: windows and cygwin compiled dll ?

> At 09:52 AM 5/28/2002, Stefan Hansen wrote:
> > > At 07:32 AM 5/28/2002, Stefan Hansen wrote:
> > > >Hi there,
> > > >
> > > >I want to add a, dll which I compiled under cygwin, to my MSVC++
project.
> > > >If I am correct I need a lib file of this dll. How can I create this
lib
> > > >file ?
> > >
> > >
> > > Why not just use the Cygwin .a import library?
> >
> >Linking whith .a (which i copy to .lib) is no problem. But during the
> >execution i got an Access Violation.
>
>
> Then it's unlikely that creating a .lib instead will help you.  The .lib
> will be the same import library as the .a.  As a result, you'll see the
> same access violation.  If you really want to understand what's causing
> this problem, you'll want to debug it.  I'll point out as well that there
> are messages in the email archives that discuss some of the issues and
> pitfalls of adding gcc-generated DLLs to MSVC EXEs.  There can be subtle
> problems with this.  You may want to review the email archives to see if
> any of these previous discussions are pertinent to your case.
>
> BTW, I redirected the discussion back to the list, since this is
worthwhile
> information for the email archives.
>
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 838 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/